FreeTDS API

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Attributes | List of all members
_hstmt Struct Reference

## Public Attributes

TDS_DESC * | apd
TDS_DESC * | ard
struct _hsattr | attr
unsigned char | cancel_sent
unsigned int | curr_param_row
TDSCURSOR * | cursor
DSTR | cursor_name
struct _hdbc * | dbc
TDSDYNAMIC * | dyn
struct _sql_errors | errs
SQLSMALLINT | htype
TDS_DESC * | ipd
TDS_DESC * | ird
unsigned | need_reprepare:1
struct _hstmt * | next
| next in list
unsigned int | num_param_rows
TDS_DESC * | orig_apd
TDS_DESC * | orig_ard
unsigned int | param_count
| number of parameter in current query
unsigned | param_data_called:1
int | param_num
| last valid parameter in params, it's a ODBC index (from 1 relative to descriptor)
TDSPARAMINFO * | params
| parameters saved
char * | prepared_pos
| position in prepared query to check parameters, used only in RPC
char * | prepared_query
unsigned | prepared_query_is_func:1
unsigned | prepared_query_is_rpc:1
struct _hstmt * | prev
| previous in list
char * | query
| query to execute
int | row
TDS_INT8 | row_count
| row count to return
TDS_ODBC_ROW_STATUS | row_status
| status of row, it can happen that this flag mark that we are still parsing row, this it's normal
TDS_ODBC_SPECIAL_ROWS | special_row
SQLULEN | sql_rowset_size

The documentation for this struct was generated from the following file:

- include/tdsodbc.h